| Bsoft 2.0.5 Bernard's software package

Functions
bshow_magnify.tcl File Reference

Procedures for rendering the magnifying window in Bshow. More...

Go to the source code of this file.

## Functions
| Magnify x y
| Window to show a region magnified. More...
| drawCross c lx ly
| updateMagnify x y currSlice updatesource
| Updates the magnifying window. More...
| drawMagBox id ptx pty ptz
| Draws a box in the magnification window. More...
| drawMagMarker id ptx pty ptz
| Draws a marker in the magnification window. More...
| drawMagSphere x y z ptx pty ptz rad col width lbl tag
| drawMagLine xs ys zs xe ye ze ptx pty ptz width col tag
| changeSlice deltaslice
| updateSlicer aniaxis anidirection
| animateSlices
| check_length newstring max_length

## Detailed Description

Procedures for rendering the magnifying window in Bshow.

Author
  Bernard Heymann

Date
  Created: 20010516
  Modified: 20161102

Definition in file bshow_magnify.tcl.

## Function Documentation

## ◆ animateSlices()

animateSlices

Definition at line 744 of file bshow_magnify.tcl.

## ◆ changeSlice()

changeSlice |  |  | deltaslice

Definition at line 711 of file bshow_magnify.tcl.

## ◆ check_length()

check_length |  |  | newstring max_length

Definition at line 807 of file bshow_magnify.tcl.

## ◆ drawCross()

drawCross |  |  | c lx ly

Definition at line 143 of file bshow_magnify.tcl.

## ◆ drawMagBox()

drawMagBox |  |  | id ptx pty ptz

Draws a box in the magnification window.

Parameters

  id | Box identifier.
  ptx |
  pty | Coordinates within the image.
  ptz | Current slice (defaults to main window's slice unless animating)

Definition at line 304 of file bshow_magnify.tcl.

## ◆ drawMagLine()

drawMagLine |  |  | xs ys zs xe ye ze ptx pty ptz width col tag

Definition at line 631 of file bshow_magnify.tcl.

## ◆ drawMagMarker()

drawMagMarker |  |  | id ptx pty ptz

Draws a marker in the magnification window.

Parameters

  id | Marker identifier.
  ptx |
  pty | Coordinates within the image.
  ptz | Current slice (defaults to main window's slice unless animating)

Definition at line 434 of file bshow_magnify.tcl.

## ◆ drawMagSphere()

drawMagSphere |  |  | x y z ptx pty ptz rad col width lbl tag

Definition at line 543 of file bshow_magnify.tcl.

## ◆ Magnify()

Magnify |  |  | x y

Window to show a region magnified.

Parameters

  x |
  y | Coordinates on the canvas.

Definition at line 22 of file bshow_magnify.tcl.

## ◆ updateMagnify()

updateMagnify |  |  | x y currSlice updatesource

Updates the magnifying window.

Parameters

  x |
  y | Coordinates within the image.
  currSlice | Current slice (defaults to main window's slice unless animating)
  updatesource | Procedure calling update (mouse or slicer)

Definition at line 155 of file bshow_magnify.tcl.

## ◆ updateSlicer()

updateSlicer |  |  | aniaxis anidirection

Definition at line 724 of file bshow_magnify.tcl.